module Creation exposing (..)

import Sphere exposing (Sphere)

type alias CreationPoints =
    { freebie : Int
    , spheres : Int
    }

new : CreationPoints 
new =
    { freebie = 15
    , spheres = 6
    }

cost :
    { sphere : Int
    }
cost = 
    { sphere = 7
    }

buySphere : CreationPoints -> Int -> CreationPoints
buySphere cp value =
    { cp | spheres = cp.spheres - value }
